## WebKitDOMDOMWindow WebKitDOMDOMWindow |

## Functions

WebKitDOMDOMSelection * | webkit_dom_dom_window_get_selection ()
void | webkit_dom_dom_window_focus ()
void | webkit_dom_dom_window_blur ()
void | webkit_dom_dom_window_close ()
void | webkit_dom_dom_window_print ()
void | webkit_dom_dom_window_stop ()
void | webkit_dom_dom_window_alert ()
gboolean | webkit_dom_dom_window_confirm ()
gchar * | webkit_dom_dom_window_prompt ()
gboolean | webkit_dom_dom_window_find ()
void | webkit_dom_dom_window_scroll_by ()
void | webkit_dom_dom_window_scroll_to ()
void | webkit_dom_dom_window_scroll ()
void | webkit_dom_dom_window_move_by ()
void | webkit_dom_dom_window_move_to ()
void | webkit_dom_dom_window_resize_by ()
void | webkit_dom_dom_window_resize_to ()
WebKitDOMMediaQueryList * | webkit_dom_dom_window_match_media ()
WebKitDOMCSSStyleDeclaration * | webkit_dom_dom_window_get_computed_style ()
WebKitDOMWebKitPoint * | webkit_dom_dom_window_webkit_convert_point_from_page_to_node ()
WebKitDOMWebKitPoint * | webkit_dom_dom_window_webkit_convert_point_from_node_to_page ()
void | webkit_dom_dom_window_cancel_animation_frame ()
void | webkit_dom_dom_window_webkit_cancel_animation_frame ()
void | webkit_dom_dom_window_webkit_cancel_request_animation_frame ()
gboolean | webkit_dom_dom_window_dispatch_event ()
void | webkit_dom_dom_window_capture_events ()
void | webkit_dom_dom_window_release_events ()
gchar * | webkit_dom_dom_window_atob ()
gchar * | webkit_dom_dom_window_btoa ()
void | webkit_dom_dom_window_clear_timeout ()
void | webkit_dom_dom_window_clear_interval ()
WebKitDOMScreen * | webkit_dom_dom_window_get_screen ()
WebKitDOMHistory * | webkit_dom_dom_window_get_history ()
WebKitDOMBarProp * | webkit_dom_dom_window_get_locationbar ()
WebKitDOMBarProp * | webkit_dom_dom_window_get_menubar ()
WebKitDOMBarProp * | webkit_dom_dom_window_get_personalbar ()
WebKitDOMBarProp * | webkit_dom_dom_window_get_scrollbars ()
WebKitDOMBarProp * | webkit_dom_dom_window_get_statusbar ()
WebKitDOMBarProp * | webkit_dom_dom_window_get_toolbar ()
WebKitDOMNavigator * | webkit_dom_dom_window_get_navigator ()
WebKitDOMNavigator * | webkit_dom_dom_window_get_client_information ()
WebKitDOMElement * | webkit_dom_dom_window_get_frame_element ()
gboolean | webkit_dom_dom_window_get_offscreen_buffering ()
glong | webkit_dom_dom_window_get_outer_height ()
glong | webkit_dom_dom_window_get_outer_width ()
glong | webkit_dom_dom_window_get_inner_height ()
glong | webkit_dom_dom_window_get_inner_width ()
glong | webkit_dom_dom_window_get_screen_x ()
glong | webkit_dom_dom_window_get_screen_y ()
glong | webkit_dom_dom_window_get_screen_left ()
glong | webkit_dom_dom_window_get_screen_top ()
glong | webkit_dom_dom_window_get_scroll_x ()
glong | webkit_dom_dom_window_get_scroll_y ()
glong | webkit_dom_dom_window_get_page_x_offset ()
glong | webkit_dom_dom_window_get_page_y_offset ()
gboolean | webkit_dom_dom_window_get_closed ()
gulong | webkit_dom_dom_window_get_length ()
gchar * | webkit_dom_dom_window_get_name ()
void | webkit_dom_dom_window_set_name ()
gchar * | webkit_dom_dom_window_get_status ()
void | webkit_dom_dom_window_set_status ()
gchar * | webkit_dom_dom_window_get_default_status ()
void | webkit_dom_dom_window_set_default_status ()
WebKitDOMDOMWindow * | webkit_dom_dom_window_get_self ()
WebKitDOMDOMWindow * | webkit_dom_dom_window_get_window ()
WebKitDOMDOMWindow * | webkit_dom_dom_window_get_frames ()
WebKitDOMDOMWindow * | webkit_dom_dom_window_get_opener ()
WebKitDOMDOMWindow * | webkit_dom_dom_window_get_parent ()
WebKitDOMDOMWindow * | webkit_dom_dom_window_get_top ()
WebKitDOMDocument * | webkit_dom_dom_window_get_document ()
WebKitDOMStyleMedia * | webkit_dom_dom_window_get_style_media ()
gdouble | webkit_dom_dom_window_get_device_pixel_ratio ()
WebKitDOMDOMApplicationCache * | webkit_dom_dom_window_get_application_cache ()
WebKitDOMStorage * | webkit_dom_dom_window_get_session_storage ()
WebKitDOMStorage * | webkit_dom_dom_window_get_local_storage ()
WebKitDOMConsole * | webkit_dom_dom_window_get_console ()
WebKitDOMPerformance * | webkit_dom_dom_window_get_performance ()
WebKitDOMDOMWindowCSS * | webkit_dom_dom_window_get_css ()
WebKitDOMStorageInfo * | webkit_dom_dom_window_get_webkit_storage_info ()

## Properties

WebKitDOMDOMApplicationCache * | application-cache | Read
WebKitDOMNavigator * | client-information | Read
gboolean | closed | Read
WebKitDOMConsole * | console | Read
WebKitDOMDOMWindowCSS * | css | Read
gchar * | default-status | Read / Write
gdouble | device-pixel-ratio | Read
WebKitDOMDocument * | document | Read
WebKitDOMElement * | frame-element | Read
WebKitDOMDOMWindow * | frames | Read
WebKitDOMHistory * | history | Read
glong | inner-height | Read
glong | inner-width | Read
gulong | length | Read
WebKitDOMStorage * | local-storage | Read
WebKitDOMBarProp * | locationbar | Read
WebKitDOMBarProp * | menubar | Read
gchar * | name | Read / Write
WebKitDOMNavigator * | navigator | Read
gboolean | offscreen-buffering | Read
WebKitDOMDOMWindow * | opener | Read
glong | outer-height | Read
glong | outer-width | Read
glong | page-x-offset | Read
glong | page-y-offset | Read
WebKitDOMDOMWindow * | parent | Read
WebKitDOMPerformance * | performance | Read
WebKitDOMBarProp * | personalbar | Read
WebKitDOMScreen * | screen | Read
glong | screen-left | Read
glong | screen-top | Read
glong | screen-x | Read
glong | screen-y | Read
glong | scroll-x | Read
glong | scroll-y | Read
WebKitDOMBarProp * | scrollbars | Read
WebKitDOMDOMWindow * | self | Read
WebKitDOMStorage * | session-storage | Read
gchar * | status | Read / Write
WebKitDOMBarProp * | statusbar | Read
WebKitDOMStyleMedia * | style-media | Read
WebKitDOMBarProp * | toolbar | Read
WebKitDOMDOMWindow * | top | Read
WebKitDOMStorageInfo * | webkit-storage-info | Read
WebKitDOMDOMWindow * | window | Read

## Types and Values

| WebKitDOMDOMWindow

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMDOMWindow

## Implemented Interfaces

WebKitDOMDOMWindow implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_dom_window_get_selection ()

    WebKitDOMDOMSelection *
    webkit_dom_dom_window_get_selection (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMSelection.

[transfer none]

### webkit_dom_dom_window_focus ()

    void
    webkit_dom_dom_window_focus (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

### webkit_dom_dom_window_blur ()

    void
    webkit_dom_dom_window_blur (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

### webkit_dom_dom_window_close ()

    void
    webkit_dom_dom_window_close (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

### webkit_dom_dom_window_print ()

    void
    webkit_dom_dom_window_print (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

### webkit_dom_dom_window_stop ()

    void
    webkit_dom_dom_window_stop (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

### webkit_dom_dom_window_alert ()

    void
    webkit_dom_dom_window_alert (WebKitDOMDOMWindow *self,
                                 const gchar *message);

#### Parameters

self | A WebKitDOMDOMWindow |
message | A gchar |

### webkit_dom_dom_window_confirm ()

    gboolean
    webkit_dom_dom_window_confirm (WebKitDOMDOMWindow *self,
                                   const gchar *message);

#### Parameters

self | A WebKitDOMDOMWindow |
message | A gchar |

#### Returns

A gboolean

### webkit_dom_dom_window_prompt ()

    gchar *
    webkit_dom_dom_window_prompt (WebKitDOMDOMWindow *self,
                                  const gchar *message,
                                  const gchar *defaultValue);

#### Parameters

self | A WebKitDOMDOMWindow |
message | A gchar |
defaultValue | A gchar |

#### Returns

A gchar

### webkit_dom_dom_window_find ()

    gboolean
    webkit_dom_dom_window_find (WebKitDOMDOMWindow *self,
                                const gchar *string,
                                gboolean caseSensitive,
                                gboolean backwards,
                                gboolean wrap,
                                gboolean wholeWord,
                                gboolean searchInFrames,
                                gboolean showDialog);

#### Parameters

self | A WebKitDOMDOMWindow |
string | A gchar |
caseSensitive | A gboolean |
backwards | A gboolean |
wrap | A gboolean |
wholeWord | A gboolean |
searchInFrames | A gboolean |
showDialog | A gboolean |

#### Returns

A gboolean

### webkit_dom_dom_window_scroll_by ()

    void
    webkit_dom_dom_window_scroll_by (WebKitDOMDOMWindow *self,
                                     glong x,
                                     glong y);

#### Parameters

self | A WebKitDOMDOMWindow |
x | A glong |
y | A glong |

### webkit_dom_dom_window_scroll_to ()

    void
    webkit_dom_dom_window_scroll_to (WebKitDOMDOMWindow *self,
                                     glong x,
                                     glong y);

#### Parameters

self | A WebKitDOMDOMWindow |
x | A glong |
y | A glong |

### webkit_dom_dom_window_scroll ()

    void
    webkit_dom_dom_window_scroll (WebKitDOMDOMWindow *self,
                                  glong x,
                                  glong y);

#### Parameters

self | A WebKitDOMDOMWindow |
x | A glong |
y | A glong |

### webkit_dom_dom_window_move_by ()

    void
    webkit_dom_dom_window_move_by (WebKitDOMDOMWindow *self,
                                   gfloat x,
                                   gfloat y);

#### Parameters

self | A WebKitDOMDOMWindow |
x | A gfloat |
y | A gfloat |

### webkit_dom_dom_window_move_to ()

    void
    webkit_dom_dom_window_move_to (WebKitDOMDOMWindow *self,
                                   gfloat x,
                                   gfloat y);

#### Parameters

self | A WebKitDOMDOMWindow |
x | A gfloat |
y | A gfloat |

### webkit_dom_dom_window_resize_by ()

    void
    webkit_dom_dom_window_resize_by (WebKitDOMDOMWindow *self,
                                     gfloat x,
                                     gfloat y);

#### Parameters

self | A WebKitDOMDOMWindow |
x | A gfloat |
y | A gfloat |

### webkit_dom_dom_window_resize_to ()

    void
    webkit_dom_dom_window_resize_to (WebKitDOMDOMWindow *self,
                                     gfloat width,
                                     gfloat height);

#### Parameters

self | A WebKitDOMDOMWindow |
width | A gfloat |
height | A gfloat |

### webkit_dom_dom_window_match_media ()

    WebKitDOMMediaQueryList *
    webkit_dom_dom_window_match_media (WebKitDOMDOMWindow *self,
                                       const gchar *query);

#### Parameters

self | A WebKitDOMDOMWindow |
query | A gchar |

#### Returns

A WebKitDOMMediaQueryList.

[transfer none]

### webkit_dom_dom_window_get_computed_style ()

    WebKitDOMCSSStyleDeclaration *
    webkit_dom_dom_window_get_computed_style
                                   (WebKitDOMDOMWindow *self,
                                    WebKitDOMElement *element,
                                    const gchar *pseudoElement);

#### Parameters

self | A WebKitDOMDOMWindow |
element | A WebKitDOMElement |
pseudoElement | A gchar. | [allow-none]

#### Returns

A WebKitDOMCSSStyleDeclaration.

[transfer none]

### webkit_dom_dom_window_webkit_convert_point_from_page_to_node ()

    WebKitDOMWebKitPoint *
    webkit_dom_dom_window_webkit_convert_point_from_page_to_node
                                   (WebKitDOMDOMWindow *self,
                                    WebKitDOMNode *node,
                                    WebKitDOMWebKitPoint *p);

#### Parameters

self | A WebKitDOMDOMWindow |
node | A WebKitDOMNode |
p | A WebKitDOMWebKitPoint |

#### Returns

A WebKitDOMWebKitPoint.

[transfer none]

### webkit_dom_dom_window_webkit_convert_point_from_node_to_page ()

    WebKitDOMWebKitPoint *
    webkit_dom_dom_window_webkit_convert_point_from_node_to_page
                                   (WebKitDOMDOMWindow *self,
                                    WebKitDOMNode *node,
                                    WebKitDOMWebKitPoint *p);

#### Parameters

self | A WebKitDOMDOMWindow |
node | A WebKitDOMNode |
p | A WebKitDOMWebKitPoint |

#### Returns

A WebKitDOMWebKitPoint.

[transfer none]

### webkit_dom_dom_window_cancel_animation_frame ()

    void
    webkit_dom_dom_window_cancel_animation_frame
                                   (WebKitDOMDOMWindow *self,
                                    glong id);

#### Parameters

self | A WebKitDOMDOMWindow |
id | A glong |

### webkit_dom_dom_window_webkit_cancel_animation_frame ()

    void
    webkit_dom_dom_window_webkit_cancel_animation_frame
                                   (WebKitDOMDOMWindow *self,
                                    glong id);

#### Parameters

self | A WebKitDOMDOMWindow |
id | A glong |

### webkit_dom_dom_window_webkit_cancel_request_animation_frame ()

    void
    webkit_dom_dom_window_webkit_cancel_request_animation_frame
                                   (WebKitDOMDOMWindow *self,
                                    glong id);

#### Parameters

self | A WebKitDOMDOMWindow |
id | A glong |

### webkit_dom_dom_window_dispatch_event ()

    gboolean
    webkit_dom_dom_window_dispatch_event (WebKitDOMDOMWindow *self,
                                          WebKitDOMEvent *evt,
                                          GError **error);

`webkit_dom_dom_window_dispatch_event` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `webkit_dom_event_target_dispatch_event()` instead.

#### Parameters

self | A WebKitDOMDOMWindow |
evt | A WebKitDOMEvent |
error | GError |

#### Returns

A gboolean

### webkit_dom_dom_window_capture_events ()

    void
    webkit_dom_dom_window_capture_events (WebKitDOMDOMWindow *self);

`webkit_dom_dom_window_capture_events` is deprecated and should not be used in newly-written code.

#### Parameters

self | A WebKitDOMDOMWindow |

### webkit_dom_dom_window_release_events ()

    void
    webkit_dom_dom_window_release_events (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

### webkit_dom_dom_window_atob ()

    gchar *
    webkit_dom_dom_window_atob (WebKitDOMDOMWindow *self,
                                const gchar *string,
                                GError **error);

#### Parameters

self | A WebKitDOMDOMWindow |
string | A gchar |
error | GError |

#### Returns

A gchar

### webkit_dom_dom_window_btoa ()

    gchar *
    webkit_dom_dom_window_btoa (WebKitDOMDOMWindow *self,
                                const gchar *string,
                                GError **error);

#### Parameters

self | A WebKitDOMDOMWindow |
string | A gchar |
error | GError |

#### Returns

A gchar

### webkit_dom_dom_window_clear_timeout ()

    void
    webkit_dom_dom_window_clear_timeout (WebKitDOMDOMWindow *self,
                                         glong handle);

#### Parameters

self | A WebKitDOMDOMWindow |
handle | A glong |

### webkit_dom_dom_window_clear_interval ()

    void
    webkit_dom_dom_window_clear_interval (WebKitDOMDOMWindow *self,
                                          glong handle);

#### Parameters

self | A WebKitDOMDOMWindow |
handle | A glong |

### webkit_dom_dom_window_get_screen ()

    WebKitDOMScreen *
    webkit_dom_dom_window_get_screen (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMScreen.

[transfer none]

### webkit_dom_dom_window_get_history ()

    WebKitDOMHistory *
    webkit_dom_dom_window_get_history (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMHistory.

[transfer none]

### webkit_dom_dom_window_get_locationbar ()

    WebKitDOMBarProp *
    webkit_dom_dom_window_get_locationbar (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMBarProp.

[transfer none]

### webkit_dom_dom_window_get_menubar ()

    WebKitDOMBarProp *
    webkit_dom_dom_window_get_menubar (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMBarProp.

[transfer none]

### webkit_dom_dom_window_get_personalbar ()

    WebKitDOMBarProp *
    webkit_dom_dom_window_get_personalbar (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMBarProp.

[transfer none]

### webkit_dom_dom_window_get_scrollbars ()

    WebKitDOMBarProp *
    webkit_dom_dom_window_get_scrollbars (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMBarProp.

[transfer none]

### webkit_dom_dom_window_get_statusbar ()

    WebKitDOMBarProp *
    webkit_dom_dom_window_get_statusbar (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMBarProp.

[transfer none]

### webkit_dom_dom_window_get_toolbar ()

    WebKitDOMBarProp *
    webkit_dom_dom_window_get_toolbar (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMBarProp.

[transfer none]

### webkit_dom_dom_window_get_navigator ()

    WebKitDOMNavigator *
    webkit_dom_dom_window_get_navigator (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMNavigator.

[transfer none]

### webkit_dom_dom_window_get_client_information ()

    WebKitDOMNavigator *
    webkit_dom_dom_window_get_client_information
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMNavigator.

[transfer none]

### webkit_dom_dom_window_get_frame_element ()

    WebKitDOMElement *
    webkit_dom_dom_window_get_frame_element
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_dom_window_get_offscreen_buffering ()

    gboolean
    webkit_dom_dom_window_get_offscreen_buffering
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gboolean

### webkit_dom_dom_window_get_outer_height ()

    glong
    webkit_dom_dom_window_get_outer_height
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

### webkit_dom_dom_window_get_outer_width ()

    glong
    webkit_dom_dom_window_get_outer_width (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

### webkit_dom_dom_window_get_inner_height ()

    glong
    webkit_dom_dom_window_get_inner_height
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

### webkit_dom_dom_window_get_inner_width ()

    glong
    webkit_dom_dom_window_get_inner_width (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

### webkit_dom_dom_window_get_screen_x ()

    glong
    webkit_dom_dom_window_get_screen_x (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

### webkit_dom_dom_window_get_screen_y ()

    glong
    webkit_dom_dom_window_get_screen_y (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

### webkit_dom_dom_window_get_screen_left ()

    glong
    webkit_dom_dom_window_get_screen_left (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

### webkit_dom_dom_window_get_screen_top ()

    glong
    webkit_dom_dom_window_get_screen_top (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

### webkit_dom_dom_window_get_scroll_x ()

    glong
    webkit_dom_dom_window_get_scroll_x (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

### webkit_dom_dom_window_get_scroll_y ()

    glong
    webkit_dom_dom_window_get_scroll_y (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

### webkit_dom_dom_window_get_page_x_offset ()

    glong
    webkit_dom_dom_window_get_page_x_offset
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

### webkit_dom_dom_window_get_page_y_offset ()

    glong
    webkit_dom_dom_window_get_page_y_offset
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

### webkit_dom_dom_window_get_closed ()

    gboolean
    webkit_dom_dom_window_get_closed (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gboolean

### webkit_dom_dom_window_get_length ()

    gulong
    webkit_dom_dom_window_get_length (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gulong

### webkit_dom_dom_window_get_name ()

    gchar *
    webkit_dom_dom_window_get_name (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gchar

### webkit_dom_dom_window_set_name ()

    void
    webkit_dom_dom_window_set_name (WebKitDOMDOMWindow *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMDOMWindow |
value | A gchar |

### webkit_dom_dom_window_get_status ()

    gchar *
    webkit_dom_dom_window_get_status (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gchar

### webkit_dom_dom_window_set_status ()

    void
    webkit_dom_dom_window_set_status (WebKitDOMDOMWindow *self,
                                      const gchar *value);

#### Parameters

self | A WebKitDOMDOMWindow |
value | A gchar |

### webkit_dom_dom_window_get_default_status ()

    gchar *
    webkit_dom_dom_window_get_default_status
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gchar

### webkit_dom_dom_window_set_default_status ()

    void
    webkit_dom_dom_window_set_default_status
                                   (WebKitDOMDOMWindow *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMDOMWindow |
value | A gchar |

### webkit_dom_dom_window_get_self ()

    WebKitDOMDOMWindow *
    webkit_dom_dom_window_get_self (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMWindow.

[transfer none]

### webkit_dom_dom_window_get_window ()

    WebKitDOMDOMWindow *
    webkit_dom_dom_window_get_window (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMWindow.

[transfer none]

### webkit_dom_dom_window_get_frames ()

    WebKitDOMDOMWindow *
    webkit_dom_dom_window_get_frames (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMWindow.

[transfer none]

### webkit_dom_dom_window_get_opener ()

    WebKitDOMDOMWindow *
    webkit_dom_dom_window_get_opener (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMWindow.

[transfer none]

### webkit_dom_dom_window_get_parent ()

    WebKitDOMDOMWindow *
    webkit_dom_dom_window_get_parent (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMWindow.

[transfer none]

### webkit_dom_dom_window_get_top ()

    WebKitDOMDOMWindow *
    webkit_dom_dom_window_get_top (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMWindow.

[transfer none]

### webkit_dom_dom_window_get_document ()

    WebKitDOMDocument *
    webkit_dom_dom_window_get_document (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDocument.

[transfer none]

### webkit_dom_dom_window_get_style_media ()

    WebKitDOMStyleMedia *
    webkit_dom_dom_window_get_style_media (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMStyleMedia.

[transfer none]

### webkit_dom_dom_window_get_device_pixel_ratio ()

    gdouble
    webkit_dom_dom_window_get_device_pixel_ratio
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gdouble

### webkit_dom_dom_window_get_application_cache ()

    WebKitDOMDOMApplicationCache *
    webkit_dom_dom_window_get_application_cache
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMApplicationCache.

[transfer none]

### webkit_dom_dom_window_get_session_storage ()

    WebKitDOMStorage *
    webkit_dom_dom_window_get_session_storage
                                   (WebKitDOMDOMWindow *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMDOMWindow |
error | GError |

#### Returns

A WebKitDOMStorage.

[transfer none]

### webkit_dom_dom_window_get_local_storage ()

    WebKitDOMStorage *
    webkit_dom_dom_window_get_local_storage
                                   (WebKitDOMDOMWindow *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMDOMWindow |
error | GError |

#### Returns

A WebKitDOMStorage.

[transfer none]

### webkit_dom_dom_window_get_console ()

    WebKitDOMConsole *
    webkit_dom_dom_window_get_console (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMConsole.

[transfer none]

### webkit_dom_dom_window_get_performance ()

    WebKitDOMPerformance *
    webkit_dom_dom_window_get_performance (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMPerformance.

[transfer none]

### webkit_dom_dom_window_get_css ()

    WebKitDOMDOMWindowCSS *
    webkit_dom_dom_window_get_css (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMWindowCSS.

[transfer none]

### webkit_dom_dom_window_get_webkit_storage_info ()

    WebKitDOMStorageInfo *
    webkit_dom_dom_window_get_webkit_storage_info
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMStorageInfo.

[transfer none]

## Types and Values

### WebKitDOMDOMWindow

    typedef struct _WebKitDOMDOMWindow WebKitDOMDOMWindow;

## Property Details

### The `“application-cache”` property

      “application-cache”        WebKitDOMDOMApplicationCache *

read-only WebKitDOMDOMApplicationCache* DOMWindow:application-cache.

Flags: Read

### The `“client-information”` property

      “client-information”       WebKitDOMNavigator *

read-only WebKitDOMNavigator* DOMWindow:client-information.

Flags: Read

### The `“closed”` property

      “closed”                   gboolean

read-only gboolean DOMWindow:closed.

Flags: Read

Default value: FALSE

### The `“console”` property

      “console”                  WebKitDOMConsole *

read-only WebKitDOMConsole* DOMWindow:console.

Flags: Read

### The `“css”` property

      “css”                      WebKitDOMDOMWindowCSS *

read-only WebKitDOMDOMWindowCSS* DOMWindow:css.

Flags: Read

### The `“default-status”` property

      “default-status”           gchar *

read-write gchar* DOMWindow:default-status.

Flags: Read / Write

Default value: ""

### The `“device-pixel-ratio”` property

      “device-pixel-ratio”       gdouble

read-only gdouble DOMWindow:device-pixel-ratio.

Flags: Read

Default value: 0

### The `“document”` property

      “document”                 WebKitDOMDocument *

read-only WebKitDOMDocument* DOMWindow:document.

Flags: Read

### The `“frame-element”` property

      “frame-element”            WebKitDOMElement *

read-only WebKitDOMElement* DOMWindow:frame-element.

Flags: Read

### The `“frames”` property

      “frames”                   WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* DOMWindow:frames.

Flags: Read

### The `“history”` property

      “history”                  WebKitDOMHistory *

read-only WebKitDOMHistory* DOMWindow:history.

Flags: Read

### The `“inner-height”` property

      “inner-height”             glong

read-only glong DOMWindow:inner-height.

Flags: Read

Default value: 0

### The `“inner-width”` property

      “inner-width”              glong

read-only glong DOMWindow:inner-width.

Flags: Read

Default value: 0

### The `“length”` property

      “length”                   gulong

read-only gulong DOMWindow:length.

Flags: Read

### The `“local-storage”` property

      “local-storage”            WebKitDOMStorage *

read-only WebKitDOMStorage* DOMWindow:local-storage.

Flags: Read

### The `“locationbar”` property

      “locationbar”              WebKitDOMBarProp *

read-only WebKitDOMBarProp* DOMWindow:locationbar.

Flags: Read

### The `“menubar”` property

      “menubar”                  WebKitDOMBarProp *

read-only WebKitDOMBarProp* DOMWindow:menubar.

Flags: Read

### The `“name”` property

      “name”                     gchar *

read-write gchar* DOMWindow:name.

Flags: Read / Write

Default value: ""

### The `“navigator”` property

      “navigator”                WebKitDOMNavigator *

read-only WebKitDOMNavigator* DOMWindow:navigator.

Flags: Read

### The `“offscreen-buffering”` property

      “offscreen-buffering”      gboolean

read-only gboolean DOMWindow:offscreen-buffering.

Flags: Read

Default value: FALSE

### The `“opener”` property

      “opener”                   WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* DOMWindow:opener.

Flags: Read

### The `“outer-height”` property

      “outer-height”             glong

read-only glong DOMWindow:outer-height.

Flags: Read

Default value: 0

### The `“outer-width”` property

      “outer-width”              glong

read-only glong DOMWindow:outer-width.

Flags: Read

Default value: 0

### The `“page-x-offset”` property

      “page-x-offset”            glong

read-only glong DOMWindow:page-x-offset.

Flags: Read

Default value: 0

### The `“page-y-offset”` property

      “page-y-offset”            glong

read-only glong DOMWindow:page-y-offset.

Flags: Read

Default value: 0

### The `“parent”` property

      “parent”                   WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* DOMWindow:parent.

Flags: Read

### The `“performance”` property

      “performance”              WebKitDOMPerformance *

read-only WebKitDOMPerformance* DOMWindow:performance.

Flags: Read

### The `“personalbar”` property

      “personalbar”              WebKitDOMBarProp *

read-only WebKitDOMBarProp* DOMWindow:personalbar.

Flags: Read

### The `“screen”` property

      “screen”                   WebKitDOMScreen *

read-only WebKitDOMScreen* DOMWindow:screen.

Flags: Read

### The `“screen-left”` property

      “screen-left”              glong

read-only glong DOMWindow:screen-left.

Flags: Read

Default value: 0

### The `“screen-top”` property

      “screen-top”               glong

read-only glong DOMWindow:screen-top.

Flags: Read

Default value: 0

### The `“screen-x”` property

      “screen-x”                 glong

read-only glong DOMWindow:screen-x.

Flags: Read

Default value: 0

### The `“screen-y”` property

      “screen-y”                 glong

read-only glong DOMWindow:screen-y.

Flags: Read

Default value: 0

### The `“scroll-x”` property

      “scroll-x”                 glong

read-only glong DOMWindow:scroll-x.

Flags: Read

Default value: 0

### The `“scroll-y”` property

      “scroll-y”                 glong

read-only glong DOMWindow:scroll-y.

Flags: Read

Default value: 0

### The `“scrollbars”` property

      “scrollbars”               WebKitDOMBarProp *

read-only WebKitDOMBarProp* DOMWindow:scrollbars.

Flags: Read

### The `“self”` property

      “self”                     WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* DOMWindow:self.

Flags: Read

### The `“session-storage”` property

      “session-storage”          WebKitDOMStorage *

read-only WebKitDOMStorage* DOMWindow:session-storage.

Flags: Read

### The `“status”` property

      “status”                   gchar *

read-write gchar* DOMWindow:status.

Flags: Read / Write

Default value: ""

### The `“statusbar”` property

      “statusbar”                WebKitDOMBarProp *

read-only WebKitDOMBarProp* DOMWindow:statusbar.

Flags: Read

### The `“style-media”` property

      “style-media”              WebKitDOMStyleMedia *

read-only WebKitDOMStyleMedia* DOMWindow:style-media.

Flags: Read

### The `“toolbar”` property

      “toolbar”                  WebKitDOMBarProp *

read-only WebKitDOMBarProp* DOMWindow:toolbar.

Flags: Read

### The `“top”` property

      “top”                      WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* DOMWindow:top.

Flags: Read

### The `“webkit-storage-info”` property

      “webkit-storage-info”      WebKitDOMStorageInfo *

read-only WebKitDOMStorageInfo* DOMWindow:webkit-storage-info.

Flags: Read

### The `“window”` property

      “window”                   WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* DOMWindow:window.

Flags: Read